#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.17
visibility:           public
id:                   foldl-1.4.17-7r1hNHK62OLCNG2MJiOWZ
key:                  foldl-1.4.17-7r1hNHK62OLCNG2MJiOWZ
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  6cab68752c4d775353694f2cc251746b
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
library-dirs:         /usr/lib/ghc-9.2.8/site-local/foldl-1.4.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.17-7r1hNHK62OLCNG2MJiOWZ
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    comonad-5.0.8-DjGSHTq2GqZ8yom92AIaau containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    hashable-1.4.4.0-Eh4n1fgdym83z63BlyWtti
    primitive-0.7.4.0-1hA3w8Xuiwq22ZvLFHCUbB
    profunctors-5.6.2-E4tMrBIk48NL7zh0jplW06
    random-1.2.1.2-81vy8e6NCuX1qZ1DGAELzi
    semigroupoids-6.0.0.1-IIVGHIdJrfpCZeCO0j6AF8 text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    vector-0.13.1.0-IOJlwkRydAuH1Lkdw56w5r

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

